Fatal Error with related entities on upgrade to 1.7.12

Upgraded to 1.7.12 yesterday, running on Linux. When trying to add relationships with entities and collections (the only two things I tried), in both instances I received this fatal error:

Fatal error: Uncaught Error: Class 'ca_entities' not found in /home/oadarchi/staff.oadarchives.org/app/lib/BundlableLabelableBaseModelWithAttributes.php:3062 Stack trace: #0 /home/oadarchi/staff.oadarchives.org/app/lib/BundlableLabelableBaseModelWithAttributes.php(1627): BundlableLabelableBaseModelWithAttributes->getRelatedListHTMLFormBundle(Object(RequestHTTP), 'ca_entities_rel...', 'ObjectEditorFor...', 'P497', Array, Array) #1 /home/oadarchi/staff.oadarchives.org/app/lib/BundlableLabelableBaseModelWithAttributes.php(2584): BundlableLabelableBaseModelWithAttributes->getBundleFormHTML('ca_entities_rel...', 'P497', Array, Array, NULL) #2 /home/oadarchi/staff.oadarchives.org/themes/default/views/editor/objects/screen_html.php(59): BundlableLabelableBaseModelWithAttributes->getBundleFormHTMLForScreen('Screen128', Array, Array) #3 /home/oadarchi/staff.oadarchives.org/app/lib/View.php(329): require('/home/oadarchi/...') #4 /home/oadarchi/staff.oadarchives.org/app/lib/View.php(297): View->_render('/home/oadarchi/...') #5 /home in /home/oadarchi/staff.oadarchives.org/app/lib/BundlableLabelableBaseModelWithAttributes.php on line 3062

Anyone have an idea what is causing this?

Thanks,

Mark

Comments

  • What did you update from?

  • 1.7.11. This came up earlier this year, when I reported that I could not swap out Related Entities with Related Entities List on a UI. The same thing happens with Related Collections and Related Collections List. You can't remove the first one and replace with the list without fatal errors. Seth, in your earlier response you said it was likely a bug.

    By the way, the 1.7.12 upgrade solved from other problems I was having, so thanks very much for that.

    Mark

Sign In or Register to comment.